# Copyright (C) 2020 VMware, Inc. All rights reserved.
# -- VMware Confidential

def report_edge_ipsec_vpn_stats(edge_ipsec_vpn_stats, profile):
    if edge_ipsec_vpn_stats is None or \
       edge_ipsec_vpn_stats['value'] is None:
        return

    # Use specified source and timestamp to export metrics to wavefront
    wavefront_source = edge_ipsec_vpn_stats['value'][0]
    timestamp = edge_ipsec_vpn_stats['timestamp']

    for lr in edge_ipsec_vpn_stats['value'][1]:
        if lr['name'] is None:
            continue

        vpn_stats_name = "edge." + lr['name']

        # Go through sessions, export tunnel(s} stats(including vti iface) for each session
        for stats in lr['vpn_stats']:
            Exportdata(data = {vpn_stats_name: stats}, exports = ['wavefront'],
                               source = wavefront_source, timestamp = timestamp)



profile = data_store['profile']
edge_ipsec_vpn_stats = data_store['metrics']['nsx.edge.edge-ipsec-vpn-stats']
report_edge_ipsec_vpn_stats(edge_ipsec_vpn_stats, profile)
