#!/bin/sh
if [ $# -ne 1 ] ; then
    echo "Usage: sh syslog_filter.sh <subcomp>"
    echo "Example <subcomp> values: manager, mpa, agg-service, datapath"
    exit 1
fi
# make sure we are in the same directory as the filter script
logfile=$(pwd)/$1.log
cd $(dirname "$0")
syslog="../../../../var/log/syslog"
syslog_kvm="../../../../var/log/vmware/nsx-syslog"
syslog_esx="../../../../var/run/log/nsx-syslog"
if [ -f "$syslog_kvm" ]
then
    # on KVM syslog is written to /var/log/vmware/nsx-syslog
    ls -1vr "$syslog_kvm"* | xargs -n1 zgrep --no-filename --text "subcomp=\"$1" > $logfile
elif [ -f "$syslog" ]
then
    ls -1vr "$syslog"* | xargs -n1 zgrep --no-filename --text "subcomp=\"$1" > $logfile
else
    # on ESX syslog files are located in var/run/log
    ls -1vr "$syslog_esx"*.gz | xargs -n1 zgrep --no-filename --text "subcomp=\"$1" > $logfile
    ls "$syslog_esx".log | xargs -n1 zgrep --no-filename --text "subcomp=\"$1" >> $logfile
fi
echo "Result is written to $logfile"
